Name:           perl-Shipwright
Version:        2.4.33
Release:        8%{?dist}
Summary:        Build and Manage Self-contained Software Bundle
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Shipwright/
Source0:        http://search.cpan.org/CPAN/authors/id/S/SU/SUNNAVY/Shipwright-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl >= 1:5.8.8
BuildRequires:  perl(Algorithm::Dependency::Ordered)
BuildRequires:  perl(Algorithm::Dependency::Source::HoA)
BuildRequires:  perl(App::CLI)
BuildRequires:  perl(Archive::Extract)
BuildRequires:  perl(Archive::Tar)
BuildRequires:  perl(Class::Accessor::Fast)
BuildRequires:  perl(CPAN)
BuildRequires:  perl(CPAN::DistnameInfo)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Copy::Recursive)
BuildRequires:  perl(File::Slurp)
BuildRequires:  perl(File::Which)
BuildRequires:  perl(IO::Uncompress::Bunzip2)
BuildRequires:  perl(IO::Uncompress::RawInflate) >= 2.012
BuildRequires:  perl(IPC::Cmd)
BuildRequires:  perl(IPC::Run3)
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(Log::Log4perl)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Module::Build::Version)
BuildRequires:  perl(Module::CoreList)
BuildRequires:  perl(Module::Info)
BuildRequires:  perl(UNIVERSAL::require)
BuildRequires:  perl(version)
BuildRequires:  perl(YAML::Tiny)
Requires:       perl(Algorithm::Dependency::Ordered)
Requires:       perl(Algorithm::Dependency::Source::HoA)
Requires:       perl(Archive::Tar)
Requires:       perl(IO::Uncompress::Bunzip2)
Requires:       perl(IO::Uncompress::RawInflate) >= 2.012
Requires:       perl(LWP::UserAgent)
Requires:       perl(Module::Build::Version)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# a wrong Requires
%global __requires_exclude perl\\(that\\)\\s*$

%description
Shipwright is a tool to help you bundle your software with all its dependencies,
regardless of whether they are CPAN modules or non-Perl modules from elsewhere.
Shipwright makes the bundle work easy.

%prep
%setup -q -n Shipwright-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test %{?_smp_mflags}

%files
%defattr(-,root,root,-)
%doc AUTHORS Changes README TODO
%{_bindir}/shipwright*
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Sep 01 2014 Jitka Plesnikova <jplesnik@redhat.com> - 2.4.33-8
- Perl 5.20 rebuild

* Mon Sep 01 2014 Petr Pisar <ppisar@redhat.com> - 2.4.33-7
- Require Module::Build::Version (bug #1134862)

* Mon Sep 01 2014 Jitka Plesnikova <jplesnik@redhat.com> - 2.4.33-6
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.33-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.33-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Aug 01 2013 Petr Pisar <ppisar@redhat.com> - 2.4.33-3
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.33-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Dec 21 2012 Robin Lee <cheeselee@fedoraproject.org> - 2.4.33-1
- Update to 2.4.33

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.31-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 29 2012 Petr Pisar <ppisar@redhat.com> - 2.4.31-2
- Perl 5.16 rebuild

* Sun Mar  4 2012 Robin Lee <cheeselee@fedoraproject.org> - 2.4.31-1
- Update to 2.4.31

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.30-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Sep 24 2011 Robin Lee <cheeselee@fedoraproject.org> - 2.4.30-1
- Update to 2.4.30

* Wed Jul 27 2011 Robin Lee <cheeselee@fedoraproject.org> - 2.4.28-1
- Update to 2.4.28 (#712671)
- Use rpm 4.9 style filter

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 2.4.24-2
- Perl mass rebuild

* Wed Apr  6 2011 Robin Lee <cheeselee@fedoraproject.org> - 2.4.24-1
- Update to 2.4.24
- Initial import (#690359)

* Thu Mar 24 2011 Robin Lee <cheeselee@fedoraproject.org> - 2.4.23-1
- Initial packaging with help of cpanspec 1.78
